Subject: bug#35758: Build failure with Emacs master branch

From: Tassilo Horn <[email-masked]>
Date: Fri, 17 May 2019 23:04:02 +0200

Arash Esbati <[email-masked]> writes:

Hi Arash,

>> Anyway, `update-file-autoloads' allows to specify the autoload file
>> as third argument instead of binding `generated-autoload-file', so
>> I'm using that now.  Pushed to master.  I'm closing this issue.
>
> thanks for fixing this.  It was also reported by Vladimir[1] and I'm
> CC'ing him to let him know that this issue is resolved.  I was also
> thinking about a similar solution :-)

Ah, I haven't read that.  But now after reading that commit e08e0880f9's
message which Vladimir mentioned in his report, it all makes sense now.
Before I couldn't understand what's going on because autoload.el uses
lexical binding since 2012 according to its local variables prop line
(is lexical binding in Emacs really that old?).

Bye,
Tassilo